Package org.eclipse.ecf.core.util

## Interface IExceptionHandler

    public interface IExceptionHandler

Contract for general exception handler

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.core.runtime.IStatus` `handleException​(Throwable exception)` Handle given exception

### Method Detail

#### handleException

    org.eclipse.core.runtime.IStatus handleException​(Throwable exception)

Handle given exception

Parameters:
  `exception` - the exception to handle. If null, no exception occurred.
Returns:
  IStatus any status to return as part of asynchronous job. Should not be null.